> For the complete documentation index, see [llms.txt](https://docs.cebodtelecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-pause-greater-than.md).

# \<pause>

**Role:** \<pause>: This keyword can be used to put a pause on the the call progress between two steps. It can be used anywhere in the code.

**Use:** :-

* If you need to send some notification and expect some delay in that, for that time you can put a pause between two instructions.

While there are no limitation on where \<pause> can be used, there definitely is requirement to use with \<pause>. You must supply the time in milliseconds. System can put a pause for as low a 1 ms.

### Attributes

\<pause> does not have any attributes.

Here is an example of how \<pause> is used within code. This example call progress will be pause for 5 seconds.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
        <pause>5000</pause>
 </Response>
```

You can nest pause inside another keywords.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
     <gather>
       <say>These will be pause for 5 seconds before you can press any digits> 
       <pause>5000</pause>
       <say>Press 1 to talk to real person</say> 
     </gather> 
 </Response>
```

\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-pause-greater-than.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
